LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 02-11-2019, 04:42 PM   #1
dwhb
Member
 
Registered: Jul 2012
Location: Down Under
Distribution: Mint 19 Tara
Posts: 100

Rep: Reputation: Disabled
HP LaserJet Professional P1102w stopped working


Printer was working fine but it just stopped all of a sudden.
I have scoured through different forums and tried all suggestions, but cannot revive printer.

When I send something to print, it always says printer is busy and displayed an Unknown error (1018) in the Device Manager.

Can someone help me please? Thanks so much in advance


Following is my system info:

RELEASE=19
CODENAME=tara
EDITION="Xfce"
DESCRIPTION="Linux Mint 19 Tara"
DESKTOP=Gnome
TOOLKIT=GTK

This is hp-check result

Code:
Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

warning: 22-19 version is not supported. Using 22-18.2 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 GNU/Linux
 Host: Upstairs2018
 Proc: 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 GNU/Linux
 Distribution: 22 19
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.17.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for 22 distro  19 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.17.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip
html=/usr/share/doc/hplip-doc
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.17.10
restricted-build=no
ui-toolkit=qt5
qt3=no
qt4=no
qt5=yes
policy-kit=yes 
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no


Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.17.10



Current contents of '~/.hplip/hplip.conf' file:
[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[fax]
email_address = 
voice_phone = 

[installation]
date_time = 02/12/19 08:53:13
version = 3.17.10

[last_used]
device_uri = "hp:/net/HP_LaserJet_Professional_P1102w?hostname=NPI4593B4.local"
printer_name = 
working_dir = .

[polling]
device_list = 
enable = false
interval = 5

[refresh]
enable = false
rate = 30
type = 1

[settings]
systray_messages = 0
systray_visible = 0

[upgrade]
last_upgraded_time = 1549890489
notify_upgrade = true
pending_upgrade_time = 0


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

-------------------------

| External Dependencies |
-------------------------

 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.2.7           OK         'CUPS Scheduler is running'
 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.26            OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.27          OK         -
 dbus                 DBus - Mess age bus system                                    REQUIRED        -               1.12.2          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 network              network -wget                                                OPTIONAL        -               1.19.4          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.7             OK         -

------------------------
| General Dependencies |
------------------------

 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.2.7           OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.2.7           OK         -
 libpthread           libpthread  - POSIX threads library                           REQUIRED        -               b'2.27'         OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               -               OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               -               OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.1.0           OK         -
 python3X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             3.6.7           OK         -
 python3-notify2      Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 python3-pyqt4-dbus   PyQt 4 DBus - DBus Support for PyQt4                         OPTIONAL        4.0             4.12.1          OK         -
 python3-pyqt4        PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.12.1          OK         -
 python3-dbus         Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.6           OK         -
 python3-xml          Python XML libraries                                         REQUIRED        -               2.2.5           OK         -
 python3-devel        Python devel - Python development files                      REQUIRED        2.2             3.6.7           OK         -
 python3-pil          PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 python3-reportlab    Reportlab - PDF library for Python                           OPTIONAL        2.0             3.4.0           OK         -

--------------
| COMPILEDEP |
--------------

 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -
 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               7.3.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -

---------------------
| Python Extentions |
---------------------

 cupsext              CUPS-Extension                                               REQUIRED        -               3.17.10         OK         -
 hpmudext             IO-Extension                                                 REQUIRED        -               3.17.10         OK         -

----------------------
| Scan Configuration |
----------------------

'/etc/sane.d/dll.d/hpaio' not found.
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.17.10         OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.17.10         OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                        Model                          
  --------------------------------  -------------------------------
  hp:/usb/HP_LaserJet_Professional  HP LaserJet Professional P1102w
  _P1102w?serial=000000000Q91GJ7VP                                 
  R1a                                                              

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
Hewlett-Packard-HP-LaserJet-Professional-P1102w
-----------------------------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Professional_P1102w?serial=000000000Q91GJ7VPR1a
PPD: /etc/cups/ppd/Hewlett-Packard-HP-LaserJet-Professional-P1102w.ppd
warning: Failed to read /etc/cups/ppd/Hewlett-Packard-HP-LaserJet-Professional-P1102w.ppd ppd file
PPD Description: 
Printer status: printer Hewlett-Packard-HP-LaserJet-Professional-P1102w now printing Hewlett-Packard-HP-LaserJet-Professional-P1102w-59.  enabled since Tue 12 Feb 2019 Rendering completed
Required plug-in status: Installed
Communication status: Good

HP_LaserJet_Professional_P1102w
-------------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Professional_P1102w?serial=000000000Q91GJ7VPR1a
PPD: /etc/cups/ppd/HP_LaserJet_Professional_P1102w.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_Professional_P1102w.ppd ppd file
PPD Description: 
Printer status: printer HP_LaserJet_Professional_P1102w is idle.  enabled since Tue 12 Feb 2019 08:21:19 ACDT
Required plug-in status: Installed
Communication status: Good


--------------
| PERMISSION |
--------------

USB             Hewlett-Packard-HP-LaserJet-Professional-P1102w Required        -        -        OK       Node:'/dev/bus/usb/001/004' Perm:'  root  lp rw- rw-



Printer was working fine but stopped all of a sudden. I have scoured verios forums and have tried every suggestion. No luck
Can anyone help me please?
 
Old 02-11-2019, 05:09 PM   #2
dwhb
Member
 
Registered: Jul 2012
Location: Down Under
Distribution: Mint 19 Tara
Posts: 100

Original Poster
Rep: Reputation: Disabled
Deleted other instances of added printer and its working now.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Installing an HP laserjet p1102w printer in Linux Mint beefman Linux - Newbie 9 02-28-2019 07:18 PM
[SOLVED] Printing in Current Again :-((. HP Laserjet P1102W business_kid Slackware 1 01-17-2019 11:20 AM
Down load a driver for hp laserjet printer P1102W lmbaca Linux - Newbie 2 04-03-2013 08:42 PM
HP LaserJet P1102w jfmarg2011 Linux - Newbie 3 08-06-2011 01:52 AM
hp p1102w laserjet does not print through suse 11.2 jimonlinux Linux - Hardware 3 07-04-2010 04:35 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 12:32 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration